[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

[libvirt] [PATCH 2/3] spec: Enable libsystemd on Fedora >= 21, RHEL >= 7



Fedora 20 didn't have libsystemd, so we should not require it.
---
 libvirt.spec.in | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

diff --git a/libvirt.spec.in b/libvirt.spec.in
index 9cae0b2..6117acc 100644
--- a/libvirt.spec.in
+++ b/libvirt.spec.in
@@ -133,10 +133,14 @@
 # Fedora has systemd, libvirt still used sysvinit there.
 %if 0%{?fedora} || 0%{?rhel} >= 7
     %define with_systemd 1
-    %define with_libsystemd 1
     %define with_pm_utils 0
 %endif
 
+# Fedora 21 / RHEL-7 are first where libsystemd is enabled
+%if 0%{?fedora} >= 21 || 0%{?rhel} >= 7
+    %define with_libsystemd 1
+%endif
+
 # Fedora 18 / RHEL-7 are first where firewalld support is enabled
 %if 0%{?fedora} || 0%{?rhel} >= 7
     %define with_firewalld 1
-- 
2.5.5


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]